Package twisted :: Package protocols :: Package gps :: Module nmea |
[show private | hide private]
[frames | no frames]

## Module twisted.protocols.gps.nmea

NMEA 0183 implementation

Maintainer: Bob Ippolito<mailto:bob@redivi.com>

The following NMEA 0183 sentences are currently understood:

       GPGGA (fix)
       GPGLL (position)
       GPRMC (position and time)
       GPGSA (active satellites)

The following NMEA 0183 sentences require implementation:

       None really, the others aren't generally useful or implemented in most devices anyhow

Other desired features:

       - A NMEA 0183 producer to emulate GPS devices (?)

Classes
`NMEAReceiver` | This parses most common NMEA-0183 messages, presumably from a serial GPS device at 4800 bps

Exceptions
`InvalidChecksum` |
`InvalidSentence` |

Variable Summary
`int` | `MODE_2D`
`int` | `MODE_3D`
`str` | `MODE_AUTO`
`str` | `MODE_FORCED`
`int` | `MODE_NOFIX`
`int` | `POSFIX_DGPS`
`int` | `POSFIX_INVALID`
`int` | `POSFIX_PPS`
`int` | `POSFIX_SPS`

Variable Details

    ### MODE_2D Type: `int` Value:
        2

    ### MODE_3D Type: `int` Value:
        3

    ### MODE_AUTO Type: `str` Value:
        'A'

    ### MODE_FORCED Type: `str` Value:
        'M'

    ### MODE_NOFIX Type: `int` Value:
        1

    ### POSFIX_DGPS Type: `int` Value:
        2

    ### POSFIX_INVALID Type: `int` Value:
        0

    ### POSFIX_PPS Type: `int` Value:
        3

    ### POSFIX_SPS Type: `int` Value:
        1

Generated by Epydoc 1.1 on Thu May 8 13:18:45 2003 | http://epydoc.sf.net